<?php session_start();
	require 'script_php/Softcom.php';
	require_once 'gerador/Datas.php';

	
?>

<!DOCTYPE html>
<html>
<head>

<?php include_once 'head.html' ?>

<title></title>
</head>

<body>

<?php include_once 'header.php'; ?>

<section>

<h4> <img src="IMG/relato.png" class="relato" height="50"> EM DESENVOLVIMENTO </h3>
<hr>

 <!--mensagens na tela-->

<span class="alert">

<?php
	if(isset($_SESSION['msg'])){
	echo $_SESSION['msg'];
	unset($_SESSION['msg']);
}
?>

</span>

<script type="text/javascript">	

	$(document).ready(function(){			
    setTimeout(function() {
	$(".alert").fadeOut("slow", function(){
		$(this).alert('close');
	});				
    }, 500);			
});
</script>

	<form action="" method="">
	    <?php $data = date('Y-m-d'); ?>
	
	<fieldset>

	<p> * NOME

		<input type='text' name='nome' class="form-control form_forn fbc" required  placeholder='nome da configuração'>

	</p>

	<p> * EMAIL

		<input type="text" type='email' name='email' class="form-control form_forn fbc" required placeholder='email'>

	</p>

		<p>* Fabricante <br>
		
	<select name="fabricante" id="cars"   class="form-control form_forn fbc" required>
	<?php
	//nova instancia da classe softcom
	$fabricante = new Softcom();
	//acessando metodo que retorna todos os fabricantes
	$dados = $fabricante->BuscarFabricante();
	//percorrendo todos os fabricantes
	foreach ($dados as $novo)
	{
	?>
	<option value="<?php echo $novo[0]; ?>" > <?php echo $novo[0]; ?></option>
	<?php }?>
	</select>
			
		<p>Acrescentar porcentual ao valor de compra em (%)
		<br> <i> <b> O valor de compra é o valor de compra atual mais impostos </i> </b> <br>
		<input type="text"  class="form-control form_forn"  name="acrescentar" placeholder="0,00">
		<p>* LOJA<br>

			<?php

$result = "SELECT * FROM usuarios WHERE usuario = '$usuario' ";

$resultado = mysqli_query($conexao, $result);

while($linha = mysqli_fetch_array($resultado)){

$matriz =  $linha['matriz'];
$loja02 =  $linha['loja02'];
$loja03 =  $linha['loja03'];
$loja04 =  $linha['loja04'];
$loja05 =  $linha['loja05'];
?>

<?php } ?>
		<select class="form-control form_forn" name="loja">
			<?php if($matriz == 'sim'){ ?><option value="MATRIZ"> LOJA 01</option>  <?php } ?>
			<?php if($loja02 == 'sim'){ ?><option value="LOJA 02"> LOJA 02</option> <?php } ?>
			<?php if($loja03 == 'sim'){ ?><option value="LOJA 03"> LOJA 03</option> <?php } ?>
			<?php if($loja04 == 'sim'){ ?><option value="LOJA 04"> LOJA 04</option> <?php } ?>
			<?php if($loja05 == 'sim'){ ?><option value="LOJA 05"> LOJA 05</option> <?php } ?>			
		</select>

		<p>
		<input type="radio" name="mostrarprod"  value="sim"> sim | <input type="radio" checked="" name="mostrarprod" value="nao" > não | Mostrar apenas produtos com desconto <br>
		<p>

		<p>
		<input type="radio" name="mostrarestoque" checked="" value="sim"> sim | <input type="radio" name="mostrarestoque" value="nao" > não | Mostrar estoque <br>
		<p>

		<p>
		<input type="radio" name="mostrarabc"  value="sim"> sim | <input type="radio" name="mostrarabc" value="nao" checked="" > não | Mostrar curva ABC <br>
		<p>		
			
		<input type="submit"  class="btn btn-primary" value="Salvar Configuração" name=""> <img src="IMG/salvar2.png" height="40">

	</fieldset>

	</form>
	
	<form action="gerador/relatorio_email.php" method="post">
	<input type="submit"  class="btn btn-primary" value="Enviar todos os relatorios" name=""> <img src="IMG/salvar.png" height="40">
	</form>

</section>
<P></P>

<h4>CONFIGURAÇÃO SALVA</h4>
<hr>
<table class='table'>
	<tr>
		<th>FABRICANTE</th>
		<th>DATA INICIO</th>
		<th>DATA FINAL</th>
	</tr>

<?php
//select
	$result = "SELECT * FROM email";
	$resultado = mysqli_query($conexao, $result);
	  
		while($linha = mysqli_fetch_array($resultado)){
		
			
		//data inicio por configuração;
		$periodo = 'mes';
		
		switch ($periodo)
		{
			case 'mes':				
				$data = new Data;
				$datainicio = $data->primeiroDiaMesAnterior();
				$datafinal = $data->ultimoDiaDoMesAnterior();
				break;
			case 'banco':
				$datainicio = $linha['datainicio'];
				$datafinal = $linha['datafinal'];
				break;
			case 'dia':
				$datainicio = date("d/m/Y");
				$datafinal = date("d/m/Y");
		}

	  
		$user = $linha['usuario'];
		$fabricante = $linha['fabricante'];
		$loja = $linha['loja'];
		$acrescentar = $linha['acrescentar'];
		$procentagem = $acrescentar/100;
		$mostrarprod = $linha['mostrarprod'];
		$mostrarabc = $linha['mostrarprod'];
		$mostrarestoque = $linha['mostrarestoque'];
		$aculmulado = 0;
		$aculmulado1 = 0;
		$lojaRelatorio = "";
		$datainicio1 = implode("/",array_reverse(explode("-",$datainicio)));
		$datafinal1 = implode("/",array_reverse(explode("-",$datafinal)));
		$today = date("d-m-Y");
		$contador = 0;
		?>
		<tr>
			<td> <?php echo $linha['fabricante'] ?> </td>
			<td> <?php echo $datainicio1 ?> </td>
			<td> <?php echo $datafinal1 ?> </td>
		</tr>

		<?php } ?>

		</table>
<p>

<small> <i> Campos com (*) é de preenchimento Obrigatório. <br> <b> O periódo máximo de consulta é de 06 meses </b> </i></small>

<?php include_once 'footer.php' ?>